For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesChangelog
ReferenceGuidesChangelog
  • v2 Migration
    • Webflow v1 API Deprecation Notice
    • Migrating to v2
  • Meta
    • GETAuthorized User
    • GETAuthorized Info
  • Sites
      • GETList Sites
      • GETGet Site
      • POSTPublish Site
      • GETList Domains
      • POSTForm Submission
      • POSTSite Publish
  • CMS
  • Ecommerce
LogoLogo
Resources
Get started
SitesSites

List Sites

GET
https://api.webflow.com/sites
GET
/sites
$curl https://api.webflow.com/sites \
> -H "Accept-Version: 1.0.0" \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "_id": "580e63e98c9a982ac9b8b741",
4 "createdOn": "2016-10-24T19:41:29.156Z",
5 "name": "api_docs_sample_json",
6 "shortName": "api-docs-sample-json",
7 "lastPublished": "2016-10-24T23:06:51.251Z",
8 "previewUrl": "https://dev-assets.website-files.com/580e63e98c9a982ac9b8b741/201610241603.png",
9 "timezone": "America/Los_Angeles",
10 "database": "580e63fc8c9a982ac9b8b744"
11 },
12 {
13 "_id": "580ff8c3ba3e45ba9fe588bb",
14 "createdOn": "2016-10-26T00:28:54.191Z",
15 "name": "Copy of api_docs_sample_json",
16 "shortName": "api-docs-sample-json-086c6538f9b0583762",
17 "previewUrl": "https://dev-assets.website-files.com/580e63e98c9a982ac9b8b741/201610241603.png",
18 "timezone": "America/Los_Angeles",
19 "database": "580ff8c3ba3e45ba9fe588bf"
20 },
21 {
22 "_id": "580ff8d7ba3e45ba9fe588e9",
23 "createdOn": "2016-10-26T00:29:13.634Z",
24 "name": "Copy of api_docs_sample_json",
25 "shortName": "api-docs-sample-json-ce077aa6c5cd3e0177",
26 "previewUrl": "https://dev-assets.website-files.com/580e63e98c9a982ac9b8b741/201610241603.png",
27 "timezone": "America/Los_Angeles",
28 "database": "580ff8d7ba3e45ba9fe588ed"
29 }
30]
List of all sites the provided access token is able to access.
Was this page helpful?
Previous

Get Site

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

Accept-VersionstringOptional
The API version

Response

Request was successful
_idstringformat: "uuid"
Unique identifier for site
createdOnstringformat: "date-time"
Date the site was created
namestring
Name given to site
shortNamestring
Slugified version of name
lastPublishedstringformat: "date-time"
Date site was last published
previewUrlstringformat: "uri"
URL of a generated image for the given site
timezonestring
Site timezone set under Site Settings

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error